Bug 961442 - Bad/uncomplete login-formats entry in realm list
Bad/uncomplete login-formats entry in realm list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 967011
  Show dependency treegraph
 
Reported: 2013-05-09 12:00 EDT by David Spurek
Modified: 2015-03-02 00:27 EST (History)
5 users (show)

See Also:
Fixed In Version: realmd-0.14.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967011 (view as bug list)
Environment:
Last Closed: 2013-08-01 23:46:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-05-09 12:00:38 EDT
Description of problem:
Bad/uncomplete login-formats entry in realm list.

Issue with this test case: https://fedoraproject.org/wiki/QA:Testcase_realmd_join_qualify

realmd.conf with:
[ad.example.com]
fully-qualified-names = no

'getent passwd User' works well, but login-formats entry after realm list shows SECURITY\%U . I think that it should be just %U . 

stefw plans to improve this entry in the future and it should represent all the ways to format a login name.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Reproducer is in test case mentioned above
2.
3.
  
Actual results:
login-formats: SECURITY\%U

Expected results:
login-formats: %U or for example login-formats: SECURITY\%U, %U

Additional info:
Comment 1 Fedora Update System 2013-07-22 12:34:44 EDT
realmd-0.14.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.3-1.fc19
Comment 2 Fedora Update System 2013-07-23 23:25:19 EDT
Package realmd-0.14.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13467/realmd-0.14.3-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-01 23:46:12 EDT
realmd-0.14.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.